Bug 495026 - how_monitoring called with no $pxt->user authenticated at /usr/lib/perl5/vendor_perl/5.8.8/RHN/Access.pm line 127.
how_monitoring called with no $pxt->user authenticated at /usr/lib/perl5/vend...
Status: CLOSED WORKSFORME
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Server (Show other bugs)
530
All Linux
low Severity medium
: ---
: ---
Assigned To: Jay Dobies
Jan Hutař
:
Depends On:
Blocks: sat530-snapshots
  Show dependency treegraph
 
Reported: 2009-04-09 03:53 EDT by Jan Hutař
Modified: 2009-08-20 15:53 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-21 16:06:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Hutař 2009-04-09 03:53:40 EDT
Description of problem:
I have obtained this traceback email - problem is I do not know how to reproduce as I noticed it too late, but maybe you will be able to understood it.


Version-Release number of selected component (if applicable):
Satellite-5.3.0-RHEL5-re20090401.0-x86_64


How reproducible:
not know


Steps to Reproduce:
1. I do not know what to do to reproduce


Actual results:
From: RHN Satellite <dev-null@redhat.com>
To: jhutar@redhat.com
Subject: WEB TRACEBACK from pipa02.englab.brq.redhat.com (Thu Apr  9 09:05:47 2009)
Date: Thu, 09 Apr 2009 09:05:47 +0200
Sender: Apache <apache@redhat.com>

The following exception occurred while executing this request:
 GET /network/systems/details/history/snapshots/packages.pxt?sid=1000010040&ss_id=734 HTTP/1.1 (from browser)
 /network/systems/details/history/snapshots/packages.pxt (from Apache)

Date:
  Thu Apr  9 09:05:47 2009

Headers:
  Accept: text/html, application/xml;q=0.9, application/xhtml+xml, image/png, image/jpeg, image/gif, image/x-xbitmap, */*;q=0.1
  Accept-Charset: iso-8859-1, utf-8, utf-16, *;q=0.1
  Accept-Encoding: deflate, gzip, x-gzip, identity, *;q=0
  Accept-Language: cs-CZ,cs;q=0.9,en;q=0.8
  Connection: Keep-Alive, TE
  Cookie: s_vi=[CS]v1|48C4D65000005509-A3A083200000114[CE]; rh_omni_tc=NEWSF; __qca=1208802642-14386573-79552144
  Cookie2: $Version=1
  Host: pipa02.englab.brq.redhat.com
  TE: deflate, gzip, chunked, identity, trailers
  User-Agent: Opera/9.64 (X11; Linux x86_64; U; en) Presto/2.1.1

Form variables:
  sid => 1000010040
  ss_id => 734

User Information:
(not logged in)

Error notes:
  (none)

Initial Request:
  Yes

Error message:
  show_monitoring called with no $pxt->user authenticated at /usr/lib/perl5/vendor_perl/5.8.8/RHN/Access.pm line 127.


Expected results:
no traceback
Comment 1 Jay Dobies 2009-04-21 16:06:00 EDT
I tested viewing the page both while logged in and not logged in, with the expected result working correctly in both cases.

I spoke with shughes about it and he agreed that we'll close this as a non-issue, with the potential to reopen it later on if we get a reliable means to replicate it.

Note You need to log in before you can comment on or make changes to this bug.